============================

Changes in the Stuffed Update (3.2.0)
Released November 17, 2023

Lines that begin with * are features unique to Console Aspects (not in Java Aspects).

==Universal==

Textures:
-Dirt background textures in UI now match the block (Thanks, @LateLagMC!)
-*Added various outdated textures which currently match on Bedrock and Console Edition, but may be updated in the future
  -Purple glazed terracotta
  -Spruce planks
  -Trident model
  -Trident riptide swirl
  -Double chest
  -Desert zombie villager
  -Drowned
  -Clouds
-*Concrete powder, rooted dirt, and terracottas no longer randomly rotate
-*Map icons now match Console Edition
-Copper bulbs and trial spawners are now shaded correctly
-Soul lanterns are now animated like normal lanterns
-Removed diagonal banner patterns as the default matches Console Edition (Thanks, @LateLagMC!)

Entities:
-*Bats now use their old design (unless using Updated Textures or Compatibility Mode)
-Added entity features from the latest version of Fixed Vanilla (Thanks, @LateLagMC!)
  -Small thrown items
  -Elytra model
  -Improved player, piglin, and enderman punching animations
  -Improved baby zombie running animation
  -Improved animations while swimming, crawling, and gliding
  -Cat and ocelot tails no longer z-fight
  -Squid and glow squid tentacles no longer z-fight
  -Improved bobbing animation
-Added the bow, crossbow, shield, spyglass, and trident animations from Fixed Vanilla (Thanks, @LateLagMC!)
  -Attacking with these items now looks closer to Console Edition
  -Bow is now the correct size and visible in the offhand
  -Crossbow position and animations now match Console Edition
  -Shield position in first and third person now exactly matches Console Edition
  -Spyglass is now visible in the offhand
  -Trident is now visible in the offhand
-Player heads in spectator mode are now solid like Console Edition's Tumble "Head" spectators
-*Villagers and zombie villagers now match Console Edition
  -Villagers now show all biome underclothes all the time, even through hats, like Console Edition (Thanks, @MrKazza_!)
  -Zombie villagers now only show biome textures like Console Edition  (Thanks, @MrKazza_!)
  -Baby villagers and nitwits now show their trade level
  -Trade level badges now go Iron -> Gold -> Gold -> Emerald -> Diamond like Console Edition
  -Added villager held item position for banners (Thanks, @MrKazza_!)
-Iron golem attack animations now match Console Edition
-*Drowned chasing and trident throwing animations now match Console Edition
-*Evoker fangs are now massive like Console Edition
-Certain held items no longer bob (such as crossbows)
-Spyglass, goat horn, pointed dripstone, and brush held item positions now match Java Edition
  -This change is detailed in the updated Future Feature Rules document
-*End crystals now have only one glass cube (Thanks, @MrKazza_!)
-Player arms now stop waggling due to movement while using a spyglass or tooting a goat horn
-*Inverted skins now look away from the camera like Console Edition
-Experience orbs now respect world lighting conditions (Thanks, @ZouChenyunfei!)
-The Wither and its projectiles now ignore lighting (Thanks, @ZouChenyunfei!)
-Wither skull projectiles now tilt vertically to face their target (Thanks, @ZouChenyunfei!)
-Projectiles no longer turn orange when on fire
-*Removed changes to zombie villager robes as the default matches Console Edition

Interface:
-*Added sea turtle egg item icon from Console Edition
-*Toast notifications now use the same blue border as hover text like Wii U Edition
-*HUD text shadows are now offset by half a pixel instead of 1 pixel
-*Selected inventory items now grow larger than other items like Console Edition
-Added empty slot icons from Console Edition for blaze powder, bottle, lapis, saddle, horse armor, and carpet (Thanks, @MrKazza_!)
-Horse and llama renderers now have a black background
-Highlighted Crafter slots are no longer green
-Hotbar end caps are now aligned correctly
-Recipe book buttons, settings sliders, and pocket inventory slots now use the correct selection colors
-Removed the background behind copyright and version on the main menu

Sounds:
-*Music may now have 20-60 seconds between songs like Console Edition
-*Survival and menu music can no longer play in Creative Mode or underwater
-*End and credits music now use the unique songs from Console Edition
-Added till farmland, flatten path, and strip wood sounds from Console Edition
  -*Strip wood sounds are intentionally silent unless using Updated Textures
-*Levers, repeaters, and comparators now use wood sounds like Console Edition
-*Tripwire hooks and jukeboxes now use stone sounds like Console Edition (Thanks, @MrKazza_!)
-Added 1.21 block sound events for parity with Java Aspects
-All blocks now have audible fall damage sounds (the block sound played when taking fall damage)
-Cave sounds now play at a consistent pitch and volume
-Explosion sounds now have a smaller pitch range like Console Edition
-Item throwing, breaking, and blocking sounds now match Console Edition (Thanks, @ErodedPotato!)
-Parrots now imitate evokers like Console Edition and do not imitate guardians
-Added missing panda breathing sounds from Console Edition
-*All toast notifications except recipe unlocks are now silent like Wii U Edition
-*Swimming and splashing sounds now match Console Edition for most entities (see notes)
-Ender dragon sounds now match Console Edition and support commands
  -Play them using "/playsound entity.ender_dragon.[ambient/death/flap/growl/hurt] @s"
-Added guardian and elder guardian sound events for parity with Java Aspects
-Added sponge sound events for parity with Java Aspects
-Added equip turtle shell sound for commands
  -Play it using "/playsound item.armor.equip_turtle @s"
-Added generic, hostile, and player sounds for commands
  -entity.generic.[big_fall/burn/death/drink/eat/explode/extinguish_fire/hurt/small_fall/splash/swim]
  -entity.hostile.[big_fall/death/hurt/small_fall/splash/swim]
  -entity.player.[attack.knockback/attack.nodamage/attack.strong/attack.sweep/attack.weak/big_fall/burp/death/hurt/hurt_sweet_berry_bush/small_fall/splash/swim/teleport]
-Crafter sounds now match Java Edition for consistency with Java Aspects
-Dispenser, tripwire, and comparator sounds are now mono instead of stereo
-Cauldron sounds are now closer to Console Edition
-Removed explosion, thorns, bottle filling/emptying, wither skeleton, splashing, and underwater entry/exit sound files as they were added to Bedrock Edition

Particles:
-*Potion effect particles now use the old colors (unless using Updated Textures)
-Flame and smoke particles from torches, furnaces, and fires now appear more often like Java Edition (Thanks, @ZouChenyunfei!)
-Crop bone mealing particles now respect world lighting conditions (Thanks, @ZouChenyunfei!)
-Dripping particles now match Console Edition (Thanks, @ZouChenyunfei!)
-Potion particles now use all animation frames (Thanks, @LateLagMC!)
-*Logs and stems now use different breaking particles depending on orientation (see notes)
-*Lever breaking particles now use the lever arm texture instead of cobblestone
-Wither boss particles are now yellow instead of black (Thanks, @ZouChenyunfei!)
-Cherry leaf, decorated pot dust, and crafter particles are now billboarded

Language:
-*The new play screen now says "Load/Create/Join/Mini Games" instead of "All worlds/Create new world/Realms/Servers" like Console Edition
-Awkward, mundane, and thick splash and lingering potions now have the same names as Console Edition
-The message "Sleeping through this night" no longer appears while in bed
-Map descriptions are now light gray

==Default Textures==

Textures:
-Added activated Observer back texture which currently match on Bedrock and Console Edition, but may be updated in the future

==Classic Textures==

Interface:
-Sign UI textures now match Classic Textures signs (Thanks, @LateLagMC!)

==Updated Textures==

Textures:
-Added textures from the latest version of Fixed Vanilla (Thanks, @LateLagMC!)
  -Purple glazed terracotta
  -Observer back (on)
  -Netherite axe, hoe, pickaxe, sword, boots, and ingot
  -Trident model
  -Double chest
  -Horse, donkey, and mule
  -Camel
  -Warm frog
  -Desert villager and zombie villager
  -Drowned
  -Slowness effect icon
  -Clouds no longer have a semitransparent background
  -Removed unused pixels from various entities
-Spruce planks no longer have a miscolored pixel
-Added shield banner pattern textures from Java Edition
-Added updated monument and mansion map icons

Entities:
-Villagers and zombie villagers now show biome underclothes all the time, except through hats
-Zombie villagers now show biome, profession, and trade level at the same time

Interface:
-Potion outlines in brewing stands now match the bottle
-Lapis outlines in enchanting tables now match the smithing table

Sounds:
-Survival and menu music now include non-C418 songs
-Alpha now plays over the credits
-Rooted dirt and sponges now have unique sounds
-Torchflower seeds, pitcher pod, and pitcher plant now use crop sounds
-Levers, repeaters, and comparators now use stone sounds
-Tripwire hooks and jukeboxes now use wood sounds

Language:
-Spawn [Breeze/Armadillo] is now "[Breeze/Armadillo] Spawn Egg"

==Compatibility Mode==

Interface:
-*The main menu panorama is now disabled in Compatibility Mode so other packs can replace it

==Fixes==

Textures:
-*Grass is now brightened only once (by the color grading) instead of twice (by the color grading and the colormap)
-Savanna villager, cleric villager, and zombie villager textures now apply in Classic Textures as well
-Furnace, blast furnace, and smoker fronts are now appropriately shaded
-Carried mangrove leaves are now the correct color
-Default Textures: The enchantment glint ZIP now uses the correct textures
-Default Textures: Leather boots are now actually dyed like Console Edition
-Updated Textures: Nether fog colors are no longer too bright

Entities:
-Thrown snowballs, eggs, ender pearls, and potions are now the same size as Console Edition
-Punching while swimming and crawling now animates correctly
-The blue Wither shield is now correctly removed
-First person empty hand position now exactly matches Java Edition (Thanks, @LateLagMC!)
-First person held map animations now adjust for short skins
-*Piglin helmets are no longer invisible
-Updated Textures: Entity enchantment glint is now subtler like Java Aspects
-Updated Textures: Shield enchantment glint texture now matches Java Aspects
-Villagers now hold blue ice, bookshelves, and glass correctly
-Updated Textures: Vex heads are no longer tilted upward
-Fishing bobbers are now sized correctly
-Iron golem, zombie villager, ender dragon, llama, pig saddle, Wither armor, charged creeper, and armor stand hurt and fire overlays now match Console Edition
-*Piglins no longer cause content errors

Interface:
-*Rewrote background panorama code so it no longer skips and appears on all main menu screens
-Updated 2D glass pane icons for 1.20.30
-End Rod icons are now the correct size
-Hotbars are no longer too opaque in Survival Mode
-Pocket hotbar item slots are now centered under the experience bar when using touch controls with Classic UI
-*HUD item text is now centered like Console Edition
-*The dark background is once again removed from all containers, but not the pause screen, like PS4 Edition
-*The inventory cursor once again wraps around in containers
-The slot highlight no longer renders above the selected item in the pocket inventory screen hotbar
-Chests are no longer invisible in recipe unlock messages
-Beacon icons no longer have bright edges
-Compatibility Mode: Walls in the stonecutter screen are now visible
-*Redid the lettering on the unused Switch SL and SR tooltips to match the style of ZL and ZR

Sounds:
-*Different armors now use separate equip sounds like Console Edition
-*Updated Textures/Compatibility Mode: Netherrack, nether bricks, and vines now have the correct step sounds
-Froglight sounds are quieter to match Java Aspects
-Respawn anchor ambient sound now plays correctly
-Goat horns can now be heard up to 256 blocks away
-Lever sounds are now the same volume as stone button sounds
-Dispenser and tripwire sounds are now the correct volume
-Crossbow quick charge sounds now play at the right time
-Crossbow sounds are now the correct pitch and volume
-Player sounds are now the correct pitch
-Drowned and husk converting sounds now have the correct pitch and volume
-Anvil, bamboo, bamboo sapling, item frame, scaffolding, sculk, and sweet berry bush block sounds now match Console Edition
-Thorns sounds now play at the correct pitch and volume
-Unused boat sounds now have the correct pitch and volume

Particles:
-Block breaking particles are now closer to Console Edition (Thanks, @ZouChenyunfei!)

Language:
-Death messages once again display item names
-Updated Textures: Enchanted Books and Heads item groups are no longer yellow

Compatibility:
-HUD text backgrounds are now removed when using other resource packs above Console Aspects
-Fishing bobber is now compatible with other resource packs
-Crafting table icon in the pocket inventory screen is now compatible with other resource packs
-Chest UI textures used by servers now use the normal texture

Technical:
-Updated "console_enchantment_glint.zip" to reflect the latest changes
-Removed "console_enderman_eyes.zip" as it was merged into the main pack
-Moved item pose code to "animation.humanoid.holding_brush"
  -This animation is now always active for players and poses all held items, including the brush.
-Removed unused fence gate icons as Bedrock Edition changed to match Console Edition
-*Unused mob head icons now have the correct textures in all subpacks
-*Removed outdated music player reference in "_ui_defs.json"
-Entity enchantment glint now uses the same texture as in Bedrock Edition 1.20.40

==Pack==

Technical:
-Updated the Aspects Missing Texture Patch with the following changes:
  -Copper bulb and trial spawner support
  -Log particle support
  -Fixed lit redstone lamps
  -Added specific texture files for redundancy
-Updated the minimum game version required to use the pack to 1.20.40, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.2.0

Pack Documents:
-Updated Eroded Potato's name and Twitter handle
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full Lists of Performance, Updated, & Compatibility Changes to be correct with this version

==Notes==

-Specific Classic skins with unique heights break first-person animations when a cape is equipped, such as the Yoda and Jawa skins. Vote to fix this bug here: https://bugs.mojang.com/browse/MCPE-126660
-On Console Edition, blocks always used the texture on the bottom of the block for breaking particles. Blocks which can change orientation (like logs) used different particles depending on which texture is currently on bottom. On Bedrock, this feature can be added to all non-stripped logs, but stripped logs and other orientable blocks (like hay bales) do not allow different particles. These blocks have been set to use the top texture for simplicity.
-Previously, Console Aspects used Java Edition trident animations copied from Java Aspects to save time. This time-saver can finally be undone due to the new attachable system from Fixed Vanilla. As of this update, trident animations in first and third person now exactly match Console Edition's unique animations.
-Items rendered in recipe unlock toasts and the crafter output slot (such as glass panes and beacons) cannot match Console Edition due to the different system used for toast items.
-Thrown items are lit differently in Bedrock, Java, and Console Edition. Console Edition makes the items brightest when perpendicular to the x-z plane (in Minecraft), which cannot be recreated in a resource pack. Instead, this update changes them to match Java Edition, where items are brightest when thrown downward and darkest when thrown upward.
-To fix the background panorama, all color grading UI code was moved to "toast_screen.json", as the toast screen is always rendered on top of the screen.
-Old effect colors on particles only apply to the primary effect color. Secondary (mixed) colors from having multiple effects are not changed to how they used to be.
-Old effect colors do not apply to cauldron particles, as it causes a mismatch between the potion in the cauldron and the bubbles. Unfortunately, the potion color in the cauldron is hard-coded.
-Drowned trident throwing sounds are NOT higher pitched on Console Edition, unlike player trident throwing sounds. Drowned trident throwing matches the other editions; player trident throwing is unique.
-Pitcher plants have Console-accurate one-sided rendering on Bedrock Edition. Unfortunately, this rendering cannot be applied to other X-shaped models with a resource pack.
-Sweep attack sounds exist unused in Console Edition, so they were added for commands here.
-Evokers can be given items with commands which become visible when casting a spell. However, fixing their item poses it is not worth the performance impact as evokers will never hold items in normal gameplay.
-Creating a map from an empty map is silent in Console Edition, but using a cartography table to modify a map plays the writing sound. Since both sounds use the same event on Bedrock Edition, I cannot silence in-hand map sounds without breaking cartography table sounds.
-End music on Console Edition is handled differently than Java or Bedrock. The "dragon_alive" music uses the Sweden part of "The End", but does not include the other 9 minutes of the song. The "end" music is a louder version of the "boss" song from Java and Bedrock.
-On Console Edition, players and hostile mobs have updated splash sounds, while other entities such as friendly creatures and items have old splash sounds (specifically, any entity which used "entity.generic.splash"). Unfortunately, a bug introduced in Bedrock Edition 1.20.40 causes all entities to use the generic sound, no matter which sound event they are assigned in sounds.json. Generic entities are assigned updated splash sounds for now to reduce annoyance.
-Pumpkin carving and underwater entry/exit sounds now match on Bedrock and Console Edition. Although these sounds were missing on Bedrock for years, Console Edition's sounds (generally) matched Java Edition until the Update Aquatic, when 4J Studios changed to follow Bedrock Edition instead. Old sounds remained in the game, however, leading to a mixture of Bedrock and Java sound parity.
-For Updated Textures, sponges and wet sponges cannot have separate sounds due to resource pack limitations. Additionally, sponge "absorb" sounds always use the "break" sound from the "stone" block set, so the sound cannot be added without changing all stone block sounds.
-Many sound, texture, and animation features in this update were only possible with the help of @MrKazza_! Huge credit to him for UI screens, zombie villagers, and countless sounds. If it's a feature in this update, there's a good chance MrKazza vetted it.

============================

Changes in the Import Update (3.1.2)
Released July 29, 2023

==Fixes==

Technical:
-*Console Aspects no longer fails to import on certain devices

==Pack==

Technical:
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.2

============================

Changes in the Tints and Trims Update (3.1.1)
Released July 29, 2023

Lines that begin with * are features unique to Console Aspects (not in Java Aspects).

==Universal==

Textures:
-Distant leaves are now as bright as Console Edition
-Kelp is now brighter to match Console Edition (Thanks, @ZouChenyunfei!)
-Added the Cat, Panda, and Wandering Trader spawn eggs from Console Edition

Entities:
-Swimming, crawling, and sneaking animations now better match Console Edition (Thanks, @LateLagMC!)
-*Armor stands no longer adjust the riposte pose when equipped with a shield
-Disabled zombie villager hurt overlay due to upcoming profession changes

Interface:
-Disabled 2D glass pane icons due to upcoming stained glass pane ID changes
-Horse jump and camel dash bars are no longer stretched on mobile devices
-*Color grading is now applied across the whole game
  -The grading has a light warm tint to match the brighter Console Edition look
-Decorated pots are now shaded in inventories
-Action bar HUD text now has a shadow

Sounds:
-*Ghast sounds can now be heard from 100 blocks away
-*Added wither skeleton sounds from Console Edition
-*Campfire crackling now uses a consistent pitch and volume
-Added 1.20 block sound events for parity with Java Aspects
-Updated brush item sounds to match 1.20
-*Music from 1.20 will no longer play in jungles, forests, deserts, or mesas
  -To keep A Familiar Room and Crescent Dunes in-game in Default and Classic modes, the songs have been added to the following biomes:
  -A Familiar Room: Grove, Meadow
  -Crescent Dunes: Snowy Slopes, Stony Peaks
-Removed cherry wood sound files as they were officially added to the game

Particles:
-Cherry log particles now use the side texture

Language:
-*Wooden slabs and stairs are now "[Type] Wood Stairs" and "[Type] Wood Slab"
-Illager banner shield descriptions are now light gray
-Removed wood planks name changes as Bedrock Edition changed to match Console Edition

==Classic Textures==

Textures:
-Leather boots are now dyed like Console Edition

==Updated Textures==

Textures:
-Bed items no longer use 3D textures
-Removed almost all potion and tipped arrow textures as they were officially added to the game
-Removed archer pottery sherd texture as it was officially added to the game

Sounds:
-Updated music playlists to match 1.20
-Dead coral plants no longer make squelchy sounds

==Fixes==

Textures:
-Grass side color now transitions smoothly near cherry groves (Thanks, @ZouChenyunfei!)
-Updated Textures: Enchantment glint intensity now matches Java Aspects
-*The default color for 1.16+ biome water now matches the ocean biome
-Overworld fog now uses the correct color
-The enchantment glint ZIP no longer breaks leather armor textures

Entities:
-Banner patterns on shields are now visible
-Offhand shields are now oriented correctly
-End crystals are now the correct height
-Villager item poses are once again correct with wool and carpet
-Armor stand baseplate is no longer visible in the smithing table

Interface:
-Removed shield item icon due to the addition of shield banner patterns
-Armor trims are now visible in the inventory
-Decorated pots now show sherds in the inventory
-*Beacons are now shaded correctly in the hotbar
-HUD item text no longer fades in each time a new item is selected
-HUD item text now appears for the correct duration

Particles:
-Updated splash potion of healing and harming particles to work with the new potion colors (Thanks, @ZouChenyunfei!)

Language:
-Dismount messages are now removed when using touch controls

Compatibility:
-Using old texture packs no longer causes pink-and-black squares on logs
-Using Console Aspects above Legacy Desktop UI no longer causes pack errors

Technical:
-*Console Aspects no longer fails to import on certain devices
-Updated render controllers for persona, cape, sniffer, and camel
-Updated "console_enchantment_glint.zip" to reflect the latest changes
-Flattened villager block item pose code
-Flattened log entries in "blocks.json"

==Pack==

Technical:
-Removed "console_panorama_behind_new_ui.zip" file as the color grading addition is incompatible
-Updated the minimum game version required to use the pack to 1.20.10, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.1

Pack Documents:
-Updated the Credits policy to prevent future contributors from requesting removal of their contributions
-Updated all names, Twitter handles, and Discord usernames of contributors
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full Lists of Performance & Compatibility Changes to be correct with this version

==Notes==

-Although cherry leaf particles should be billboarded, the change is not in this update due to upcoming particle changes in 1.20.20.

============================

Changes in the Preshaded Update (3.1.0)
Released March 7, 2023

Lines that begin with * are features unique to Console Aspects (not in Java Aspects).

==Universal==

Companion Pack:
-Removed Console Shading
  -Marc Jones no longer wants me to use his contributions, so Console Shading has been deleted
  -Features I created for Console Shading will be merged with Console Aspects instead. Other features are no longer available.

Textures:
-Most light sources are now shaded like Console Edition (Thanks in part to @ErodedPotato!)
  -Glowstone
  -Shroomlight
  -Lava
  -Magma
  -Crying and Glowing Obsidian
  -Sea Lantern
  -Jack-O-Lantern
  -Froglights (inventory)
  -Lit Redstone Lamp
  -Lit Furnace, Blast Furnace, and Smoker
  -Enchantment Table
  -Nether Portal
  -Sculk Sensor and Catalyst
  -Respawn Anchor
  -Lava Cauldron
  -Dragon Egg
  -Lit Redstone Ores
  -Blocks that cannot be fixed:
    -Froglights (placed)
    -Beacon
    -Torches and Lanterns
    -End Rod
    -Lightning Rod
    -Candles
    -Campfires
-*Added scaffolding textures from Console Edition
-Grass side color now transitions smoothly between biomes (Thanks, @ZouChenyunfei!)
-*Added spawn polar bear colors from Console Edition
-*Lowercase "f" is now shorter like Console Edition
-*Added the current enchantment glint from Console Edition for when it is changed in the future
-Added dark empty slot icons from Console Edition
-Bamboo sign now has the correct command helper
-Removed melon and red sandstone bottom textures as Bedrock Edition changed to match Console Edition

Entities:
-*Vex now use their old design
-Iron golems now wobble more like Console Edition (Thanks, @EmptyCoso!)
-Piglin helmets no longer intersect with their heads
-Allays no longer render worn armor

Interface:
-*Screens no longer have a dark background in-game
-Removed the category text removal feature to prepare for upcoming changes

Sounds:
-Unique trapdoor, fence gate, iron door, iron trapdoor, button, and pressure plate sounds now play in-game
-Fish now have death sounds
-Added pufferfish sounds from Console Edition
-Step and fall sounds are now controlled by the Player volume slider
-*Vine climbing is now silent
-Bamboo wood, nether wood, hanging sign, and chiseled bookshelf block sounds now have volumes and pitches consistent with Console Edition
-Updated door, trapdoor, fence gate, button, and pressure plate sounds to include pitch and volume when necessary
-Lowered Wild Update music volumes
-Added illusioner sounds from Console Edition for commands
  -Play them using "/playsound entity.illusioner.[ambient/cast_spell/death/hurt/mirror_move/prepare_blindness/prepare_mirror] @s"
-Added 1.20 block sound events for parity with Java Aspects
-Removed throwing and enchanting sound changes as Bedrock Edition changed to match Console Edition

Particles:
-Ambient spell particles are now billboarded
-Block of bamboo particles now use the side texture

Language:
-Melon is now "Melon Slice"
-Clay Block is now "Clay"
-Prismarine Bricks Slab is now "Prismarine Brick Slab"
-*Bamboo slabs and stairs are now "Bamboo Wood Stairs" and "Bamboo Wood Slab"
-The "Sound" slider is now called "Main (Sound Only)" for clarity
-*Copying worlds no longer changes the world name
-*Death messages no longer display item names
-*Added various outdated block and item names from Console Edition that currently match Bedrock Edition, but may be updated in the future

==Classic Textures==

Interface:
-Added lapis and horse armor slot icons from Console Edition

==Updated Textures==

-Added a new "Updated Textures" pack option
  -This option updates textures, entity models, sounds, and item names to match the latest version
  -The goal is to match how Console Edition would look and sound if it continued to receive feature updates like Bedrock and Java Editions
-Major differences from Default Textures include:
  -Updated block, item, and entity textures that match Java Edition 1.19.4
  -New zombified piglin and vex models
  -Updated block and entity sounds (such as Wither Skeletons)
  -Underwater music
  -Updated block, item, and biome names
  -Unique water and fog colors in 1.16+ biomes
  -Underwater ambient sounds
  -Subtle enchantment glint

==Compatibility Mode==

-Added a new pack option to allow full compatibility with other resource packs, including packs from the Marketplace
-*Compatibility Mode is based on Updated Textures for simplicity
-This mode disables certain features:
  -Experience bar texture
  -Animated light source shading
  -Item icons
  -Carried barrel, cartography table, fletching table, and grass block textures

==Fixes==

Textures:
-*Nether ambience particles are once again visible
-*Stripped dark oak log side and campfire item textures now apply when using Classic Textures
-*Default Textures: The old stonecutter is no longer missing its bottom texture
-Carried grass block color is more accurate (Thanks, @ErodedPotato!)
-The item name border is now sized correctly
-Decay potions and arrows now have a visible texture

Entities:
-Trader llamas are no longer invisible on the beta/preview
-*Baby zombie pigman swords are once again positioned correctly
-Vex offhand items are no longer invisible
-Blocking with an offhand shield no longer flips the shield upside-down

Interface:
-The profanity filter is yet again disabled in the chat screen
-*Hotbar height is now closer to Console Edition
-HUD text shadows are no longer cut off on the right edge

Sounds:
-*Click sounds are now the correct volume
-Zombie and skeleton walking sounds are now consistent
-*OGG versions of horse and UI sounds are now included in the pack, as some devices cannot play WAV files

Language:
-Removed raft dismount messages

Technical:
-*Default Textures: "console_enchantment_glint.zip" now uses the correct texture for leather armor
-*The debug screen now has an empty element set for $screen_content
-Updated render controllers for persona, player, cape, bee, camel, and sniffer
-*Unused Xbox 360 tooltips are now accurate and separated into old and new sets (Thanks, @Crackers0106 and Byrom#3154!)
-Updated "console_enchantment_glint.zip" to reflect the latest changes

==Pack==

Technical:
-Removed "console_roofed_forest_grass_color.zip" file as Bedrock Edition changed to match Console Edition
-Removed "console_inventory_effects..." zip files as they no longer work
-*Added unused Wii U tooltips for gamepad, pro controller, and classic controller pro
  -To avoid redundancy, tooltips which are the same in multiple controllers are only included in the gamepad folder
-*Added unfinished PSVita tooltips which will be completed in the future (Thanks, @nintendo741!)
-Updated the minimum game version required to use the pack to 1.19.60, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.0

Pack Documents:
-Added a Console Aspects title texture to the custom tab (Thanks, @patredenglish!)
-Updated Snowstorm's Twitter handle
-Updated DogLoss' name and Discord handle
-Added a Full List of Updated Changes document to the Updated Textures subpack
  -This file will help me update the Updated Textures mode quickly
-Added a Full List of Compatibility Changes document to the Compatibility Mode subpack
  -This file will help me update the Compatibility Mode quickly
-Updated the custom tab with the latest Changelog
-Updated the Credits, Feature List, and Full List of Performance Changes to be correct with this version

==Notes==

-Mob effects cannot be moved to the right side of the screen. Due to how they're hard-coded, it's impossible to align them correctly for all aspect ratios and GUI scales.
-To preserve the grass side gamma increase from Eroded Potato with the new smooth grass transitions from Rainvay_ZCYF, the input level (gamma) of the grass overlay on the grass side texture has been raised to 1.1. This is different from the previous method, which only used overlay colors in terrain_texture.json to raise the gamma. The result allows the default overlay colors to match the brighter grass in Console Aspects.

============================

Changes in the Reshaded Update (3.0.0)
Released September 3, 2022

Lines that begin with * are features unique to Console Aspects (not in Java Aspects).

==Universal==

Companion Pack:
-Added the Console Shading companion pack for Console Aspects
  -This pack is based on the Console Graphics Pack (Thanks, @_marcjones_!)
-Applying this pack above Console Aspects recolors Minecraft in a variety of ways:
  -Increased gamma
  -Brighter grass (Thanks, @ErodedPotato!)
  -Softer overworld fog
  -Darker End fog, brighter End sky
  -More solid water
  -Consistent snowflake textures

Textures:
-*Added cartography table and stripped spruce log side textures from Console Edition
-*Added the shield textures from PS4 Edition
-Grass and ferns are no longer white at a distance (Thanks, @ZouChenyunfei!)
-*Deepslate, azalea leaves, and sculk no longer randomly rotate to match Console Edition's pattern
-Carried mangrove leaves are now brighter to match Console Edition's pattern
-Rain and lava fog colors now match Console Edition
-*End sky color now matches Console Edition
-Rain fog is now the same distance from the player as clear weather fog
-*Water fog distance in old biomes is now farther out to match Console Edition
-*Water fog now adjusts in 10 seconds instead of 30
-Carried fletching tables now match Console Edition (Thanks, @ZouChenyunfei!)
-Removed dried kelp block texture as Bedrock Edition changed to match Console Edition

Entities:
-Added Console Edition held item positions for 2D items, perpendicular items (such as tools and bones), totems of undying, bows, fishing rods, banners, tridents, and shields (Thanks in part to @ZouChenyunfei and @netongas_ng!)
-*Changed first person trident and crossbow animations (Thanks, @ZouChenyunfei!)
  -Currently, the trident changes match Java Edition. Console Edition has unique trident animations, but they are closer to Java than Bedrock Edition.
-*Added villager item poses from Console Edition
-*An emerald now appears above villagers while visually trading
-*Witch hoods are now visible
-Hurt entity overlays are now more transparent (Thanks, @LukasPAH and @ZouChenyunfei!)
-*Sneaking while flying with an empty hand now causes the player to pose instead of sneak
-*The crossbow no longer floats above the hand
-Pillagers now keep their crossbows up all the time
-Vindicators, zombie villagers, and zombie pigmen now hold offhand items in the right place
-Non-drowned enemies no longer brandish tridents
-Enemies without bows no longer act like they're drawing an arrow
-Zombies now hold their arms normally when dual wielding
-Cape movement is now closer to Console Edition (Thanks, @ZouChenyunfei!)
-Glow squids and blazes now have consistent lighting across their model (Thanks, @ZouChenyunfei and @netongas_ng!)
-Added various features from MultiPixel (Thanks, @ZouChenyunfei!)
  -Llama decor and pig saddles are now separate from the body
  -Shulker bullets now have a semitransparent shell
  -Zombie villager robes no longer stick through armor
  -Endermen now shake when angry
  -Charged creeper armor now flashes while exploding
-Added cow and pig models from Console Edition (Thanks, LugiaGamerYT!)
-*Baby villagers now have big heads
-End crystals now rotate like Console Edition (Thanks, sharedloss on Discord!)
-Elytra and cape positions now match Console Edition (Thanks in part to @LateLagMC!)

Interface:
-Glass pane, conduit, end rod, lightning rod, and shield inventory icons now match Console Edition (Thanks, @LukasPAH!)
-Added item durability bar colors from Console Edition (Thanks, @LukasPAH!)
-Item durability bars are now visible in Creative Mode like Console Edition (Thanks, @LukasPAH!)
-*The crosshair is now solid white like Console Edition (Thanks, @snowstormmc!)
-*The search tab in the inventory now uses an icon from Console Edition
-*The main menu panorama now scrolls the same way as Console Edition (Thanks, _hjn on Discord!)
-*The main menu panorama is now visible while changing dimensions
-*Boss bars and names are now always pink
-*Controller tooltip descriptions no longer have black backgrounds
-*Empty armor slots now have more space around the icon
-Added the half armor HUD texture from Console Edition
-*Added the cartography table lock map UI texture from Console Edition
-*Pocket furnace screen no longer shows result item text
-Chat messages are no longer censored (Thanks, @LukasPAH!)
-*Removed the vignette that appears underground, as it doesn't exist on Console Edition
-Removed block previews in the chat screen (Thanks, @LukasPAH!)

Sounds:
-All 1.16-1.19 block sounds and music now have volumes and pitches consistent with Console Edition
-*Added crop, plant stem, and nether wart plant sounds from Console Edition
-Chorus plants and flowers now use wood sounds
-Deepslate bricks now make consistent step sounds
-*Added all mini game sounds from Console Edition
  -A full list of sound events can be found in the Command List text document
-*Lena Raine Nether music once again plays in Basalt Deltas, Crimson Forest, Soul Sand Valley, and Warped Forest
  -The Nether Wastes-exclusive "Rubedo" has been moved to the Warped Forest to keep the feel of the Nether Wastes the same as Console Edition
-*Ender dragon sounds no longer vary in pitch
-*End music now plays during the End Poem
-*Villager works at smithing and fletching table sounds now match Console Edition
-Armor stand sounds now match Console Edition (Thanks, @netongas_ng!)
-Crossbow sounds are now closer to Console Edition
-*Throwing a trident is now higher pitched to match Console Edition
-Chest boats no longer have swimming sounds
-*Muted Nether Wastes loop and additions ambience
-*Muted bone meal sounds
-Removed drowning and burn damage sounds as they were added to Bedrock Edition
-*Removed old falling sounds
-Added most block, item, and music sound events from Java Aspects for pack parity (see the Command List)

Particles:
-Added eating and item breaking particles from Console Edition (Thanks, @ZouChenyunfei!)
-Spore blossom, sculk sensor, sculk soul, wax, dripstone, copper, glow squid, powder snow, spark, and candle particles no longer rotate to face the camera
-Log, stem, and hay breaking particles now use the side texture like Console Edition (Thanks, @ZouChenyunfei!)
-Stained glass breaking particles are now semitransparent (Thanks, @ZouChenyunfei!)
-Warden particles are now darkened
-Totem of undying particles are now closer to Console Edition (Thanks, @ZouChenyunfei!)

Language:
-*Crimson, warped, and mangrove slabs and stairs are now called "[Type] Wood Stairs" and "[Type] Wood Slab" to match Console Edition's ruleset
-*Block of Lapis Lazuli is now "Lapis Lazuli Block"
-*Dirt Path is now "Grass Path"
-*Infested blocks are now "Silverfish [Block Name]"
-*Redstone Dust is now "Redstone"
-*Mega Taiga is now "Redwood Taiga"
-*Operator is now "Moderator"
-*Raid bars no longer display Victory or Defeat messages
-*Player permission names now match Console Edition
-Description text of fireworks, potions, and banners now matches Console Edition in all languages (Thanks, @LukasPAH!)
-*Leave vehicle ("Press Sneak to dismount") messages no longer appear
-Unobtainable items now have English names instead of identifiers

Technical:
-Updated item icon code to match Lukas' Java Parity Pack (Thanks, @LukasPAH!)
-*Added unused thermal and booster textures from the Glide mini game
-Added interactive block sound sets for bamboo saplings, item frames, and sweet berry bushes for consistency with other block sound sets

==Default Textures==

Textures:
-*Added ore, emerald block, painting back, lectern base, dark oak log top, stripped dark oak log side, red and blue stained glass, glass pane top, barrel bottom, carrot crop, pumpkin top, end rod, brewing stand, end portal frame side, smoker bottom, cocoa beans, comparator top, grass path side, and iron door top block textures from Console Edition
-*Added clock, compass, sugar cane, boat, sign, door, campfire, item frame, beetroot and melon seeds, dried kelp, and gold and leather armor item textures from Console Edition
-*Maps now match Console Edition
-*Added bottle and lapis outlines from Console Edition
-*Added classic entity textures for all entities older than Village & Pillage, cleric villager, savanna villager, and biome-specific zombie villager entity textures from Console Edition (Thanks, @MrKazza_!)
-*Added classic armor model textures from Console Edition (Thanks, @MrKazza_!)
-Removed polished diorite texture as Bedrock Edition matches Console Edition

Language:
-*The splash "Reticulating splines!" now reads "Reticulatin splines!"
-*Loading messages now use a mix of Console Edition and Update Aquatic (Bedrock) loading messages, like PS4 Edition

==Classic Textures==

Textures:
-*Added the empty offhand slot texture from PS4 Edition
-*Recreated empty armor slot textures to match exactly

==Fixes==

Textures:
-*Recreated bed and shulker box textures using colors directly from the files of Console Edition
-*Beds no longer look broken when another texture pack replaces bed textures
-New spawn egg textures will no longer break
-Block shading, beds, and item icons are now much higher resolution

Entities:
-*Drowned now tilt normally while swimming
-*Spyglass and goat horn animations will now play
-Hands now render correctly in first person when holding maps
-Punching while swimming, gliding, and holding a loaded crossbow now matches Console Edition
-First person empty hand hitting animation is now closer to Console Edition (Thanks, ambiennt on Discord!)
-Third person shield blocking animations are now closer to Console Edition

Interface:
-New items will no longer show category text (Thanks, @LukasPAH!)
-Hotbar and jukebox text heights once again match Console Edition
-*The border around experience level on the hotbar is now equally large on all sides
-*Pocket menus, book and quill, and player permissions screens now have back and tab sounds
-*Raised gamma of the fallback panorama textures to match Console Edition

Sounds:
-Sandstone stairs, red sandstone stairs, ender chests, light blocks, and cameras are now assigned the "stone" block sound set
-*Menu music can once again play in Creative mode
-*Horses now play their neighing ambient sound
-*Cave sounds 14-19 can now play in-game

Particles:
-Adjusted breaking and walking particle hitbox size, trajectory, and quantity (Thanks, @ZouChenyunfei!)
-Copper and glow squid particles are no longer invisible
-Chest breaking particles are now always square
-Rain splash and critical hit particles now match the latest version
-Glow item frame breaking particles are now in-line with normal item frame breaking particles

Language:
-Game rule and Minecraft Store name changes now apply in the new create world UI
-Globe banner pattern texts are now colored like Console Edition
-*Cycle Held Item texts in the Controls screen now differentiate between left and right

Compatibility:
-Locked maps are now compatible with other resource packs
-Experience and boss bars are now compatible with the MultiPixel texture pack
-Item icons are now compatible with the MultiPixel texture pack
-Carried cartography tables are now compatible with the MultiPixel texture pack
-Chest breaking particles are now compatible with other resource packs
-Console Aspects can now be used below Java Aspects without pack errors

Technical:
-*Updated the unused text border and empty slot textures to match the files of Console Edition
-Simplified skeleton arm position animations (Thanks, @netongas_ng!)
-Optimized all "[entity].entity.json" files
-Fall on block sounds are now formatted correctly in "sounds.json", but disabled due to an unavoidable bug
-Removed the "items_new" folder as it was deprecated
-Removed ink and crop growth particle files as they were unchanged
-Changed "map" to "filled_map" in animation queries
-Alphabetized "terrain_texture.json" and "biomes_client.json"

==Pack==

Technical:
-Replaced Console Aspects+ and normal Console Aspects with Console Aspects (Performance) and Console Aspects (Fidelity)
  -Performance doesn't include item icons, durability bars, or full held item positioning, which makes the game run more smoothly
  -Fidelity includes all the features listed in this Changelog, but may run poorly or outright crash on mobile and low-end devices
  -Some Fidelity features can be enabled in Performance through ZIP files
    -Extract "console_item_icons.zip" to the current directory and choose "replace" to add item icons from Console Edition
    -Extract "console_high_definition_panorama.zip" to the current directory to add 1080p background panorama textures
-Added various ZIP files to the main resource pack folder next to the Changelog
  -Extracting "console_roofed_forest_grass_color.zip" to the current directory and choosing "replace" will darken the color of all forest grass to match roofed forests on Console Edition
  -Extracting "console_enderman_eyes.zip" to the current directory will bring enderman eyes closer to Console Edition
  -Extracting "console_enchantment_glint.zip" to the current directory will add the enchantment glint from Console Edition
  -Extracting "console_inventory_effects_gui_scale_0" to the current directory and setting GUI scale to 0 with either a 2560x1440 or 3440x1440 display resolution will add current status effects to the left side of the inventory screen
    -Using either ZIP with a different display resolution, aspect ratio, or GUI scale will not align the effects with the inventory screen correctly
  -The above optional features are all additions from Lukas' Java Parity Pack (Thanks, @LukasPAH!)
  -Extracting "console_panorama_behind_new_ui.zip" to the current directory will add the console-accurate panorama behind new UI screens, like the Create World and Achievements screens, but may cause issues on some devices (Thanks, _hjn on Discord!)
-Updated the minimum game version required to use the pack to 1.19.20, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.0.0

Pack Documents:
-*Added a Future Feature Rules text document in the resource pack folder that explains how features newer than Legacy Console Edition will be changed
-Added a Full List of Performance Changes document to the main resource pack folder
  -This file will help me update the Fidelity and Performance versions of Console Aspects quickly
-The subpack screen now has descriptions for each option
-Updated LukasPAH's name and Twitter handle
-Updated Rainvay_ZCYF's name and Twitter handle
-Updated TrèsAbhi's name and Twitter handle
-Added an unused Console Aspects title texture (Thanks, @patredenglish!)
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, and Feature List to be correct with this version

Notes:
-The Mini Game pack options have been removed as of this update. Now, they can be installed separately with the Mini Game Modes pack.
-The textures added to the Default Textures in this update are all old versions of textures which have since been updated on Bedrock or Java Edition. Barring a few exceptions, such as stained glass and beds, Console Edition's Texture Update matches snapshot 18w50a. This update has added the Console-matching versions of all textures changed between 18w50a and now to the pack.
-HUD and jukebox text heights cannot perfectly match Console Edition because they cannot interact with each other. On Console Edition, the presence of HUD text pushes jukebox text higher up. As such, I chose to use the lowest height of jukebox text possible on Console Edition to match in this pack.
-On Console Edition, the battleship splash reads "Warning! A huge battleship \"STEVE\" is approaching fast!" Due to the different formats of Bedrock and Console Edition splashes, the back slashes before the quotation marks cannot be recreated for Console Aspects.
-Landing on lily pads, scaffolding, and boats is silent in this update because all three are controlled by the same sound event in "sounds.json". There isn't one sound that can work for all of them, so it's best not to play a sound at all.
-The same item pose code from Java Aspects crashes in Console Aspects, so the animations have been simplified. Blocks do not match their Console Edition item pose, even in Fidelity.
-Vex items can't be fully posed like Console Edition because they work differently than normal items. Currently, only perpendicular items like weapons and bones match Console Edition. Vex also don't have an offhand on Bedrock Edition, so that item cannot be posed correctly either.
-Channeling trident lightning sounds can't be added because they're currently bugged. Instead of using the "trident.thunder" sound from "sounds.json", Bedrock Edition uses the default thunder sound for channeling lightning.
-The durability bars from Fidelity cannot be added to a ZIP file in Performance because they overlap with the same files as item icons.
-The held item poses from Fidelity will not be added to a ZIP file in Performance because they are guaranteed to crash mobile devices. I will not allow players to crash their own game by accident.
-On Console Edition, offhand maps are visible while holding a charged crossbow in your main hand. The crossbow remains centered while the map and left hand are visible. This is not possible to recreate on Bedrock Edition.

============================

Changes in the Synthesis Update (2.4.0)
Released August 27, 2020

Lines that begin with * are features unique to Console Aspects.

==Universal==

Textures:
-*Added dark seagrass from Console Edition
-Locked maps now use the default map texture like Console Edition
-Added multiple texture features from Fixed Vanilla 1.7.0 that match Console Edition (Thanks, @LateLagMC!)
  -Banners no longer show the snout pattern when highlighted
  -Phantoms no longer have two extra visible pixels while invisible
-Updated held end portal and gateway textures to match the block shape
-Sea lantern and portal animations no longer fade to match Console Edition

Entities:
-Changed zombie villager models to match Console Edition
-Added multiple entity features from Fixed Vanilla 1.7.0 that match Console Edition (Thanks, @LateLagMC!)
  -The humanoid punching animation is now smoother and changes relative to the vertical direction the entity is facing
  -Shulkers are now the size of a full block
  -Pillagers and vindicators no longer render worn armor
  -Flopping tropical fish now rotate at a rate consistent with other fish
-Players no longer blink to match Console Edition

Particles:
-Chests and ender chests now make oak planks and obsidian particles respectively like Console Edition
-Entities no longer produce gray bubbles when bobbing on top of a bubble column (Thanks, @LateLagMC!)

Interface:
-Added multiple features from Lukas' Java Parity Pack that match Console Edition (Thanks, @MCGaming_Lukas!)
  -Locked trades can now be highlighted to see enchantments
  -Selected item counts in the inventory are now white instead of yellow and positioned differently
  -Shift-clicked items no longer fly across the inventory
  -Chests now appear 3D in the inventory (Thanks in part to @melamed_tal!)
  -*Coordinate background is no longer shown
  -*Description text of fireworks and banners is now colored like Console Edition 
  -Removed category text on items (Thanks in part to @KalmeMarq!)
-Blocks that emit light are now shaded in inventories like Console Edition

Sounds:
-*Added the skeleton death sound from Console Edition
-Vines now make grass sounds like Console Edition
-*Nether Wart now makes stone sounds like Console Edition
-Piston extending sounds are now higher pitched than contracting sounds like Console Edition
-*Netherite armor equip sounds now use leather sounds to match Console Edition's ruleset
-All blocks that previously used the "normal" sound set now use the "stone" sound set
-*Updated "music_player_screen.json" for future versions of the music player

Language:
-*Position: [X], [Y], [Z] is now "X: [X], Y: [Y], Z: [Z]" like Console Edition

==Classic Textures==

Interface:
-*Loading messages that reference Zombie Pigmen have been changed to say Zombified Piglins

==Fixes==

Textures:
-Banner pattern transparency is now correct across all patterns (Thanks, @LateLagMC!)

Entities:
-Zombies once again hold their right arms at the correct angle
-Piglin held item position is now correct
-Baby zombie pigman swords are now positioned correctly
-Removed outdated "v1.0" entity files as they may cause issues

Particles:
-Critical hit particles now move at the correct speed
-The pocket inventory tab icons are now shaded correctly

Interface:
-*Actionbar messages no longer overlap the HUD information

Sounds:
-*Crimson and warped signs no longer use stem sounds
-*Menu music will no longer play during gameplay
-Cave spider, ender dragon, mooshroom, polar bear, and skeleton horse sounds now play correctly
-*The ½ second delay between songs is now the correct duration and has been increased to 1 second for simplicity

Technical:
-Optimized and alphabetized "blocks.json" and "sounds.json"

==Pack==

Technical:
-Piglin brute spawn eggs now use a direct texture instead of a template
-*Added unused controller tooltips from Xbox 360 Edition (Thanks, @La4tt and @Crackers0106!)
-*Added unused controller tooltips from PS3 Edition (Thanks, @winw3r!)
-*Added unused titles for Xbox 360, PS3, and PSVita Editions
-Added an offhand slot texture for the HUD screen for future versions of Console Aspects
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.4.0

Pack Documents:
-Added a new pack icon to replace the old one (Thanks, @TresAbhi_!)
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, and Feature List to be correct with this version

==Notes==

-Category text is still visible on the 1.16.100 beta. This is related to a bug that ignores the item files in resource packs.
-*Blocks that emit light are not shaded in the hotbar to avoid a visual bug that occurs when items pulse.
-*Vines on Console Edition have no climbing sound. However, it is impossible to remove the climbing sound on Bedrock Edition vines without also removing the default grass walking sound.
-Enderman eyes from Console Edition haven't been added because the eyes change color depending on the light level on Console Edition, which cannot be recreated on Bedrock Edition.
-Bubble particles that appear while splashing in water on Console Edition cannot be added to Bedrock Edition as you are unable to map multiple particles with different movement paths to the same particle event.
-If endermen are still bugged, please message me on Twitter. I attempted to fix it in this update.

============================

Changes in the Lost Sound Update (2.3.0)
Released June 23, 2020

Lines that begin with * are features unique to Console Aspects.

==Universal==

Textures:
-Added the block breaking animation from Console Edition
-Added all spawn egg textures from Console Edition

Entities:
-*Zombified piglins now use the zombie pigman model
-Changed drowned arm spacing to match Console Edition
-Skeletons now draw their bows at enemies (Thanks, @netongas_ng!)
-Held item position and size are now correct for all humanoid and skeletal mobs (Thanks in part to @netongas_ng!)
-Made various changes to witches to match Console Edition
  -Changed witch hat and wart position (Thanks, LugiaGamerYT!)
  -Changed witch noses positioning when they drink a potion (Thanks, LugiaGamerYT!)
  -Changed witch nose bobbing frequency, position, and rotation
-Changed the fishing rod position to match Console Edition
-Adjusted the default zombie arm angle to be closer to Console Edition
-Adjusted empty hand position in first person to be closer to Console Edition (Thanks, @LateLagMC!)
-Adjusted vertical held item position to be closer to Console Edition (Thanks, @ErodedPotato!)

Particles:
-Changed portal reverse, obsidian tear, and soul particles to use Console Edition rotation rules

Interface:
-Removed the HUD text background and added text shadows like Console Edition
-*Jukebox text is now white like Console Edition
-Lowered the survival item text to match Console Edition

Sounds:
-*Added falling, level up, hurt skeleton, and ambient horse sounds from Console Edition (Thanks, LugiaGamerYT!)
-*All armor equip sounds now use leather sounds like Console Edition
-*Changed the item drop/pickup sound to match Console Edition
-*Music now plays in warped forests
-*Added ambient loops from Console Edition's files for commands only
  -Play them using "/playsound ambient.[birds/cave/ocean/waterfall].loop @s"
-Changed glass breaking sound pitch to match Console Edition
-*Added music player integration for mini game music
  -Three albums are added to the Albums section: Battle Mini Game, Tumble Mini Game, and Glide Mini Game
  -Three sections are added after the Other section: Battle Mini Game, Tumble Mini Game, and Glide Mini Game
-*Individual mini game songs can now be played using "/playsound song.[song_name] @s"
  -Some songs do not have names, so the Command List should be used to figure out what to use
-Removed cave sound files as they were officially added to Bedrock Edition

Language:
-*Zombified Piglin is "Zombie Pigman"
-*Jack o'Lantern is now "Jack-O-Lantern"
-*Edit Character is now "Change Skin"
-*Bed is too far away is now "You may not rest now, the bed is too far away"
-*Added the "This message will never appear on the splash screen, isn't that weird?" splash, as it does appear on the splash screen on Console Edition
-*Removed the "where are we now" disc name change as Console Edition changed to match Bedrock Edition

==Default Textures==

Textures:
-*Added the nether brick block texture from Console Edition

==Mini Game Modes==

Textures:
-*Added all new texture changes from Default Textures

==Fixes==

Textures:
-Perfected carried leaf colors
-*Smooth quartz slabs now use the right textures
-Soul fire no longer fades
-*Fog and the End sky are once again the correct colors

Entities:
-*Drowned now use the correct model, fixing certain animations
-Endermen are now even closer to their Console Edition height (Thanks, LugiaGamerYT!)
-Corrected offhand item positions for vertical held items and horizontal held items
-Corrected crossbow positions in third person (Thanks, @netongas_ng!)

Particles:
-Lingering dragon breath particles are no longer invisible
-Optimized particles so they are not higher definition than necessary

Interface:
-Debug text is now correctly removed
-*The hotbar is no longer offset for players using touch controls

Sounds:
-*Enchantment tables now use the press menu sound from Console Edition instead of click

Pack Documents:
-Merged LugiaGamerYT and LugiaGamerYT credits entries as they are the same person
-Added baby villager models to the Feature List as they are changed by Console Aspects

==Pack==

Technical:
-*Decreased the Glide mini game logo texture gamma by 20% to be in line with other Bedrock Edition textures
-*Added the enchanted book texture from Console Edition's Classic Textures to the unused folder
-Changed the menu sounds to match the Console Edition sound names
  -"menu.select" is now "ui.press"
  -"menu.back" is now "ui.back"
  -"menu.move" is now "ui.focus"
  -"menu.slider" is now "ui.scroll"
  -"menu.craft.success" is now "ui.craft"
  -"menu.craft.attempt" is now "ui.craft_fail"
-Added perfect quality versions of the UI and horse sounds in the WAV format next to the OGG versions
  -The old sounds are still used in-game because converting the WAV sounds to OGG always results in a quality loss
-Removed all "load_on_low_memory" properties in "sound_definitions.json" as they were deprecated in 1.16
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.3.0

Pack Documents:
-Updated the Feature List to specify which sides of a block have been changed
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version

==Notes==

-It is not possible to change llama carpet position to match Console Edition
-The most notable spawn egg change is the Enderman Spawn Egg
-*The classic enchanted book texture is currently unused because Bedrock Edition doesn't support semitransparent pixels on it

============================

Changes in the Rules Update (2.2.0)
Released May 5, 2020

Lines that begin with * are features unique to Console Aspects.

==Universal==

Textures:
-Netherrack and crying obsidian no longer randomly rotate to match Console Edition's ruleset
-Crimson and warped signs now have the correct command helpers

Entities:
-Zombie villager helmets are now positioned on their heads correctly (Thanks, @netongas_ng!)
-Endermen are now the same height as Console Edition (Thanks, LugiaGamerYT!)
-Phantom wings now connect correctly (Thanks, LugiaGamerYT!)
-Vex no longer hold their swords like bows (Thanks, LugiaGamerYT!)
-Held item size now matches Console Edition (Thanks, @ZouChenyunfei!)
-Vertical held item position (such as bones and swords) now matches Console Edition (Thanks, @ErodedPotato!)
-Dropped items and experience orbs are now the same size as Console Edition (Thanks, @netongas_ng!)

Sounds:
-*Added move and back menu sounds from Console Edition
-*Changed underwater and Nether music so only old music will play like Console Edition
-*Music underwater and in the new Nether biomes now follows the same rules as the rest of the music in Console Aspects
-*Removed Nether ambience in the Nether Wastes biome like Console Edition
-*Netherrack, nether bricks, nether quartz ore, and bone blocks now use stone sounds to match Console Edition
-*Soul sand now uses sand sounds like Console Edition
-*Nether wart blocks now use wood sounds like Console Edition
-*Jumping sounds are now muted like Console Edition
-*Added enchanting sounds from Console Edition
  -They can be played with commands using "/playsound block.enchantment_table.use @s"
-Added the ability for the thorns enchantment sound to play in-game without commands (Thanks, @netongas_ng!)
-Added the zombie-converts-to-drowned sound (Thanks, @netongas_ng!)
-Sound events "music.under_water" and "music.nether.[basalt_deltas/crimson_forest/nether_wastes/soul_sand_valley/warped_forest]" have been added for consistency with Java Aspects
  -These events will only play music that currently exists in Console Edition, so none of the new underwater or Nether tracks will play from them

Language:
-*Mushrooms and mushroom blocks are now all simply called "Mushroom" like Console Edition

==Default Textures==

Textures:
-Added spruce, birch, jungle, acacia, and dark oak sign textures from Console Edition (1.16+)

==Mini Game Modes==

Textures:
-*Added all new texture changes from Default Textures

==Fixes==

Textures:
-*Drowned now use their default swimming animation as it matched Console Edition
-*Basalt deltas now use the correct fog color
-Crossbow and map animations in first person mode are now correct (Thanks, @ZouChenyunfei!)
-*The panorama overlay now correctly applies on the background panorama in 1.16+

Sounds:
-*Nylium now uses nylium sounds instead of grass
-Boats now use the new sound event name instead of the old one in "sounds.json"
-Improved the quality of Cat
-*The Ender Dragon shooting sound now uses the Java Edition format for consistency with Java Aspects

Technical:
-The Console Aspects settings tab now correctly has its own "$toggle_group_forced_index"
-Pack options now all have the lowest memory tier
-Removed an extra space in "block_slide.json"

==Pack==

Technical:
-Piglin, Hoglin, Zoglin and Strider spawn eggs now use a direct texture instead of a template
-Overhauled the block sounds in "sounds.json" to match the newest format
-Changed the way jumping sounds are muted
-Removed all unchanged sound events from "sound_definitions.json"
-Optimized all menu code to improve compatibility with other packs (This allows multiple custom in-game settings tabs to appear at once)
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.2.0

Pack Documents:
-Added a Command Functionality Policy to the Command List to explain that sound functionality will not be removed in future updates
-Removed sounds from the Command List that are only part of Console Aspects and not Java Edition for consistency with Java Aspects
-Changed the sorting of the Changelog for large updates to be more readable
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version

==Notes==

-The fix related to crossbow and map animations does not change them to match Console Edition, it simply fixes them from the way they were in previous versions of Console Aspects.

============================

Changes in the Excessive Update (2.1.0)
Released March 20, 2020

Lines that begin with * are features unique to Console Aspects.

Universal:
-*Added piston arm textures from Console Edition
-*Added dyed shulker and dyed shulker box textures from Console Edition
-The empty hand's position in first person view now matches Console Edition (Thanks, @LateLagMC!)
-The arm swinging animation in third person view now matches Console Edition (Thanks, @ErodedPotato!)
-*Humanoid mobs now swing their left leg while standing still like Console Edition (Thanks, @netongas_ng!)
-Skeletons, strays, and wither skeletons now hold their arms at their sides while idle (Thanks, @netongas_ng!)
-Added parity changes from Fixed Vanilla 1.4.0 and 1.5.0 that match Console Edition (Thanks, @LateLagMC!)
  -Dried kelp block bottom textures line up with the sides
  -The wolf tail is now connected to the wolf when it's sitting
  -Banner pattern transparency is white instead of black (the gradient pattern is affected the most by this change)
  -Per Bend banner pattens match Console Edition
  -Corrected various command helper block previews
    -Lit furnace, blast furnace, and smoker
    -Standing and wall signs
    -Tripwire
    -Bamboo sapling
    -Powered and unpowered repeater and comparator
    -Lava cauldron
  -Bee nests and hives play wood sounds
  -Bee spawn eggs always use the correct texture
-The fishing hook is now 2D like Console Edition (Thanks, @ZouChenyunfei!)
-Wither armor is now black and white like Console Edition
-Ghasts that are shooting fireballs now look like Console Edition
-Carried grass blocks now match Console Edition
-Soul fire animations no longer fade to be in line with normal fire
-Fog colors now match Console Edition (1.16+)
-End sky now matches Console Edition (1.16+)
-*Recreated bed entity textures to be closer to Console Edition
-*The hotbar is now raised off the bottom of the screen like Console Edition
-Added features from the MultiPixel Texture Pack that match Console Edition (Thanks, @ZouChenyunfei!)
  -Zombies now swing their arms downward while attacking
  -Wither armor is now slimmer
  -Villager legs now animate at a slower speed
  -Walking and breaking particles are now darker
  -Splash potions of healing and harming now use X particles instead of bubbles
  -Ender Dragon death particles are larger and have less smoke
-Blue flame particles no longer rotate to face the camera
-Nylium no longer randomly rotates to match Console Edition's ruleset
-Added damage indicator (dark heart) particles from Console Edition for commands only (Thanks, @netongas_ng!)
  -Use it in-game with "/particle minecraft:damage_indicator ~ ~1 ~"
-Added a multitude of sounds from Console Edition for commands only (Thanks, @netongas_ng!)
  -Play them using "/playsound [sound in parentheses below] @s"
  -Fence gate (block.fence_gate.[open/close])
  -Fishing rod (entity.fishing_bobber.[retrieve/throw])
  -Iron door (block.iron_door.[open/close])
  -Iron trapdoor (block.iron_trapdoor.[open/close])
  -Wooden trapdoor (block.wooden_trapdoor.[open/close])
  -Thorns enchantment (enchant.thorns.hit)
  -Painting (entity.painting.[place/break])
  -Ender eye (entity.ender_eye.[death/launch])
  -Rabbit (entity.rabbit.attack)
  -Zombie (entity.zombie.[infect/attack_iron_door])
  -Place lily pad (block.lily_pad.place)
  -Till dirt (item.hoe.till)
  -Flatten grass into path (item.shovel.flatten)
-Changed all sound command triggers to match Java Edition for consistency with Java Aspects
-You can now play music with commands using the names from Java Edition (for example, "music.dragon" instead of "music.game.endboss")
-Removed fire textures left over from the PC GUI Pack as Bedrock Edition now matches Console Edition
-Removed ender chest, hitting, damage, digging, fire, lava, minecart, portal, anvil, bow, drink, eat, experience orb, item pickup, piston, and a few other sounds left over from the PC GUI Pack as Bedrock Edition now matches Console Edition

Default Textures:
-Added tipped arrows, carried lily pad, carried tall grass, carried double tall grass, carried fern, carried large fern, and carried vine textures from Console Edition
-*Added cactus side, nether wart block, purpur pillar top, iron ore, diamond helmet, diamond leggings, diamond boots, diamond sword, diamond axe, diamond shovel, wooden, golden, and diamond pickaxe, and wooden, golden, and diamond hoe textures from Console Edition
  -These textures are currently the same on the Bedrock and Console Editions, but Bedrock Edition may be updated to match Java Edition in the future

Mini Game Modes:
-*Added all new texture changes from Default Textures

Fixes:
-*Fog is now the correct color in the Nether and End (1.16+)
-Blue flame particles now appear (1.16+)
-*Decreased the bed item texture gamma by 20% to match Bedrock Edition's color scheme
-*Water animations now correctly fade
-*Removed leftover chest sound files
-*Mini game songs now have a ½ second between songs to avoid any strange transitions
-Player attack sounds now correctly have categories assigned to them
-Corrected inconsistent spacing in "manifest.json" and the animation files

Pack:
-Removed "block_destruct_unused.json" as its issues were fixed and implemented into Console Aspects
-Updated the "blocks.json" version to 1.1.0
-Updated "sound_definitions.json" to the 1.14.0 format
-Pillager spawn eggs now use a direct texture instead of a template
-Added a particles section to the Command List
-Commands in the Changelog now have quotations around them
-Changed every occurrence of the word "minigame" in the pack to be "mini game" or "mini_game" for consistency with Console Edition
-Retroactively updated the Changelog to use the command triggers from this update
-Updated Dharen's name and Twitter handle
-Update titles in the Changelog no longer have "the" capitalized
-Update release dates in the Changelog no longer use "th", "st", "nd", or "rd" after the day
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.1.0

Notes:
-*Portal sounds cannot be made to stay at a consistent pitch like Console Edition as Bedrock Edition doesn't respect the pitch you set them to.
-The 2D fishing hook feature works best on 1.16+. Below 1.16, it will not rotate to face the camera.

============================

Changes in the Color Correction Update (2.0.0)
Released January 8, 2020

Lines that begin with * are features unique to Console Aspects.

Universal:
-*Added bed block and item textures from Console Edition (Modeling by @CrisXolt!)
-Added some parity changes from the Fixed Vanilla resource pack (Thanks, @LateLagMC!)
  -Item frame breaking particles
  -Chiseled and cut red sandstone bottom textures
  -Old villager model (before Village and Pillage, appears in Marketplace maps)
-Melon block bottoms now use the correct texture
-Added old Nether Reactor textures as the "new" ones are from the plastic texture pack
-Added better held End Portal and End Gateway textures
-*Added firework rocket entity texture from Console Edition
-Added the player drowning sound to match Console Edition (Thanks, @ErodedPotato!)
  -The sound can be played with commands using "/playsound entity.player.hurt_drown @s"
-The player throwing sound pitch now matches Console Edition
-Added potion filling and emptying sounds for cauldrons from Console Edition (Thanks, @netongas_ng!)
-Explosion sounds now match Console Edition (Thanks, @cjnator38!)
-*Removed Wither Skeleton and chest sounds from Java Edition as Console Edition doesn't have them
-*Removed coral, seagrass, and kelp sounds as Console Edition doesn't have them
-Drowned, skeletons, strays, ghasts, pillagers, and the Ender Dragon now have the correct shooting sound (Thanks, @netongas_ng!)
-Added boat sounds from Console Edition (Thanks, @netongas_ng!)
  -Currently, boat sounds don't play at all on land and only play very quietly in water. This is a game bug, not a pack bug.
-Added critical hit sounds for commands only
  -They can be played using "/playsound entity.player.attack.crit @s"
-Added player burning sounds from Console Edition for commands only (Thanks, @netongas_ng!)
  -They can be played using "/playsound entity.player.hurt_on_fire @s"
-Ender dragon fireballs, wither spawning, and end portal sounds now have a "min_distance" of 100 blocks (Thanks, @netongas_ng!)
-The lava placeholder once again uses the lava texture from Console Edition
-Particles no longer turn to face the camera like Console Edition (Thanks, @LateLagMC!)
-Added a particle change from the Java Edition Particles pack (Thanks, @ZouChenyunfei!)
  -Critical attack particles will sometimes have darker shading
-The hotbar is now centered under the experience bar
-Hotbar slots now have the same transparency as Console Edition
-Hotbar item counts can now be seen in Creative Mode like Console Edition
-Highlighted inventory slots are no longer outlined
-Added the panorama overlay to match Console Edition
-*The inventory cursor will now wrap from left to right when navigating with a controller d-pad
-*Added PS4 controller tooltips from Console Edition
  -Unused PS4 tooltips are located in the "unused" folder in "textures/ui"
-*Mobile tabs now use Console Edition images
-*Removed the Enchanted Apple to Golden Apple name change as Console Edition changed to match Bedrock Edition
-Stopped beta text from appearing on top of the screen

Default Textures:
-*Added crafting table, diorite, smooth diorite, grass side, snowy grass side, oak door, and quartz block textures from Console Edition
-*Added cake, emerald, horse armor, oak door, phantom membrane, and snowball item textures from Console Edition
-*Added dragon fireball, horse, and iron golem entity textures from Console Edition
-*Added potion textures from Console Edition
-Carried leaves now match Console Edition (Thanks in part to @LateLagMC!)
-Redrew the old stonecutter texture for a full sized block (it's even animated!)
-*Removed Nether Brick block change as Console Edition changed to match Bedrock Edition

Classic Textures:
-Added the classic cat textures from Console Edition (including tamed variants)
-Added the lava texture from Console Edition as the Classic Texture Pack doesn't include it
-Added the smithing table top texture from Console Edition as the Classic Texture Pack has the wrong one (Thanks, @LateLagMC!)
-Moved the horn and brain coral textures from the Universal subpack to the Classic Textures subpack as the Classic Texture Pack doesn't include them but the default game now does

Mini Game Modes:
-*Added all texture changes from Default Textures like Console Edition

Fixes:
-Red sandstone stairs no longer use the incorrect textures
-The lava animation now plays at the correct speed
-*Mini game songs are no longer always loaded on low memory
-*The menu select sound now perfectly matches Console Edition
-*Replaced a duplicate "music.mini_game.battle.plastic" with "music.mini_game.plastic"
-Loading bars are no longer missing segments
-*The corners of the top of the main menu panorama are now smoother
-The Subscriptions settings tab is no longer missing
-Corrected inconsistent spacing in "sounds.json", "settings_screen.json", and "console_aspects_section.json"

Pack:
-Updated to pack format 2
-Updated the minimum game version required to use the pack to 1.13.0, which means this pack is no longer compatible with earlier versions
-Changed the pack icon to reflect Default Textures changes instead of Classic Textures
-Boats now load "paddle_water1" on low memory instead of "paddle_water3"
-The custom settings tab's icon now matches the style of the Global Resources tab's icon
-The experience bar now uses textures directly from the game files, meaning custom experience bar textures are no longer needed
  -If you still want to use custom experience bar textures the old way, follow instructions listed in the "hud_screen.json" file
-Added an unused version of "block_destruct.json" that adds a few extra particle features but causes bugs such as leaves making no particles and grass making blue particles
-*Moved and sorted the "unused" folder to simplify navigation
-*Added an unused ender crystal beam texture from Console Edition
-*Added the new unused Creative and Crafting menu textures from Console Edition
  -These are the ones used post-Texture Update
-*Added unused controller tooltips from New Nintendo 3DS Edition
-Added a Command List text document in the resource pack folder that lists every extra sound that can be played with commands while Console Aspects is enabled
-Added all Fixed Vanilla credits under the PC GUI Pack section in the Credits text document
-Reworded the PC GUI Pack credits to line up with the Fixed Vanilla credits
-Updated CrisXolt's name and Twitter handle
-Updated HawfHuman's name in the Credits
-Removed SirZeus' Twitter handle from the Credits as the account no longer exists
-Reordered entries in the Feature List so they are ordered by significance within each category
-Subpacks are more consistently referred to as "pack options" in text documents
-Changed subpack folder names to match the pack option name with underscores
-Added the warning on top of all the JSON files
-The custom tab's three sections are now separated in the code
-Updated the custom tab with the latest Changelog
-Changed the Console Edition version this pack tries to match from TU92 to 1.96 in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.0.0

Notes:
-Horse size cannot be changed to match Console Edition because it's hard-coded into the game
-The ender crystal beam texture is currently unused because Bedrock Edition doesn't support semitransparent pixels on it

============================

Changes in the In-Line Update (1.1.1)
Released July 9, 2019

Universal:
-Removed lava textures as the default now matches Console Edition
-Removed Zombie Villager and Ghast sounds as the default now matches Console Edition
-Removed Witch, Zombie, Magma Cube, and Villager sounds left over from the PC GUI Pack
-The background panorama is now less saturated to match Console Edition

Classic Textures:
-Moved empty armor and offhand slot changes to Classic Textures as Console Edition changed to match Bedrock Edition

Fixes:
-Certain Settings tabs are no longer missing
-The air punch sound now plays correctly

Pack:
-Changed the pack icon to reflect changes the pack actually makes
-Updated the "_ui_defs.json" file to include all the new menus
-Changed the Console Edition version this pack tries to match from TU87 to TU92 in the Feature List
-Added a Credits Policy at the end of the Credits document to explain how removed pack features will be handled
-Updated the custom tab with the latest Changelog
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.1.1

============================

Changes in the Classic Update (1.1.0)
Released May 15, 2019

Universal:
-The main menu panorama now matches Console Edition
-The title now says Bedrock Edition to be in line with titles of other Console Editions (Thanks, @CrisXolt!)
-Recipe book and creative menu tabs now use Console Edition images
-The tabs in the Play Game screen have been changed to match Console Edition
  -Worlds is now "Load"
  -Create New is now "Create"
  -Friends is now "Join"
  -Servers is now "Mini Games"
-The default world name is now "New World" instead of "My World"
-Multiplayer Game is now "Online Game"
-A/B Button Swap is now "Swap A and B"
-X/Y Button Swap is now "Swap X and Y"
-The Create button on the Create New World screen now says "Create New World"
-The Cheats submenu on the Create New World screen now says "Game Options"
-Cheats are now "Host Privileges"
  -Do Daylight Cycle is now "Daylight Cycle"
  -Friendly Fire is now "Player vs Player"
  -Entities Drop Loot is now "Entity Loot"
-The hopper inventory screen is now titled "Hopper" instead of "Item Hopper"
-The furnace inventory screen now says "Ingredient" instead of "Input"
-The furnace inventory screen no longer says "Result" next to the output box
-When a world doesn't allow you to earn achievements, it will say "Created in Creative Mode"
-Removed grass color changes as the default matches Console Edition
-Sheared sheep now match Console Edition
-Removed certain splashes to match Console Edition:
  -Hobo humping slobo babe!
  -Made by Notch!
  -The Work of Notch!
  -110813!
-Removed changes to dye names
-Removed change Slabs item group name change as it was added to the default game
  
Default Textures:
-Added the nether brick block texture to match Console Edition
-Loading message changes have been removed as the default now matches Console Edition
-All splash text changes have been removed except Gary Banner to match Console Edition

Classic Textures:
-Added a Classic subpack with the old textures
-This pack option also enables old splash texts and loading messages

Fixes:
-English (UK) now uses the correct spelling of armor

Pack:
-Added the loading message about High Definition mode to Wii U and PlayStation 3 Editions in the language files and removed "old" from its name
-Added unused Creative and Crafting menu textures from Console Edition
  -Textures with "_old" at the end use old textures within them and may have changed since the Texture Update
-Removed "lava_still_bottom" unused texture as it wasn't ever part of Console Edition either
-Console Aspects+ now has a different pack icon and title than the default Console Aspects to better distinguish them
-Added Universal to the beginning of every Universal section in the Changelog
-Every single space indent in the Changelog is now a double space indent
-Updated the Credits text document to match other resource packs
-Added a custom tab to display the Changelog and Credits in-game
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.1.0

============================

Changes in the Polished Update (1.0.1)
Released December 5, 2018

Universal:
-The wait music disc is now called "where are we now"
-Added unused title textures for Xbox One Edition, PlayStation 4 Edition, and Wii U Edition

Fixes:
-Removed duplicate translations in "en_GB.lang"
-Removed "Removed padding" from the Feature List
-Fixed Default and Glide subpacks having the same memory tier

Pack:
-Added a Changelog in the resource pack folder
-Slightly changed wording in the "Controller Buttons" text document
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.0.1

============================

Changes in the Full Release (1.0.0)
Released October 25, 2018

These are listed as if Console Aspects is an update to Java Aspects 2.5.0. For past changes, check the Java Aspects Changelog.

Added:
-Added effect icon borders from Console Edition
-Added all loading messages from Console Edition
-Added menu and option names from Console Edition
  Main Menu and Pause Menu:
  -Play is now "Play Game"
  -Save & Quit is now "Exit Game"
  -Quit Game is now "Exit Game"
  -Settings is now "Help & Options"
  -Marketplace/Store is now "Minecraft Store"
  Settings:
  -Paper Doll is now "Animated Character"
  -Invert Y-Axis is now "Invert Look"
  -Controller Cursor Sensitivity is now "Interface Sensitivity"
  -Controller Hints are now "Controller Tooltips"
  -In-game Player Names are now "In-Game Gamertags"
  -Sound Volume is now "Sound"
  -Reset Settings is now "Reset to Defaults"
  -Show Autosave Icon is now "Display Save Icon"
  -Screen Animations is now "Display Screen Animations"
  Controller Menus:
  -Attack/Destroy is now "Action"
  -Cycle Item Left/Right are now "Cycle Held Item"
  -Drop Item is now "Drop"
  -Toggle Perspective is now "Change Camera Mode"
  -Use Item/Place Block is now "Use"
  -Fly Down/Up Slow is now "Fly Down/Up"
  -Show Mob Effects is now "Status Effects"
-Added Console Edition language translations
  -Enchanted Apple is "Golden Apple"
  -Red Dye is "Rose Red"
  -Yellow Dye is "Dandelion Yellow"
  -Green Dye is "Cactus Green"
  -Grass is "Tall Grass"
  -Double Tallgrass is "Double Tall Grass"
  -Nether Brick Block is "Nether Brick"

Changed:
-Changed the experience level number's border to match Console Edition
-Changed block rotation rules to emulate Console Edition by removing all random rotation
-Replaced the "purpleBorder" texture with one from Console Edition
-Replaced conduit particles with the textures used in Console Edition
-Replaced offhand slot texture with an empty texture like in Console Edition
-Replaced main menu panorama with one taken using Console Aspects

Removed:
-Removed "terrain_texture.json" and "biomes_client.json"
-Removed water, nether reactor, carried seagrass, held end gateway, and held end portal textures
-Removed trident riptide wind texture
-Removed dried kelp and panda spawn egg textures
-Removed treasure map "X" texture
-Removed seagrass, kelp, and water animation changes
-Removed Java Edition-specific language changes

Pack:
-Removed Changelog and Future Features left over from Java Aspects
-Changed the Feature List and Credits to match Console Aspects
-Added loads of currently unused features
  -You can use them in a pack if you ask me and I give you permission
  -These are found in "unused" folders
    -The full list is:
      -Blocks: "lava_still_bottom" (Console Edition's lava and water has 32x32 bottom textures instead of normal 16x16)
      -Interface: Pressed versions of Xbox, Switch, and Generic controller tooltips, original empty armor slot textures (taken directly from a screenshot instead of remade for Bedrock's menu colors), original purpleBorder (I edited @CrisXolt's version for the pack), and mini game logos (16x16 instead of 500x500 like the titles)
  -Some sounds are unused but support is in the resource pack for them
    -The full list is:
      -Menus: "menu.select", "menu.move", "menu.back", "menu.slider", "menu.craft.attempt", and "menu.craft.success"
      -Music: "silence", "music.endmix", "music.mini_game", "music.mini_game.battle", "music.mini_game.tumble", and "music.mini_game.glide"
        -Battle: "music.mini_game.battle.vanilla", "music.mini_game.battle.western", "music.mini_game.battle.chinese", "music.mini_game.battle.city", "music.mini_game.battle.fantasy", "music.mini_game.battle.festive", "music.mini_game.battle.greek", "music.mini_game.battle.halloween", "music.mini_game.battle.plastic", and ""music.mini_game.battle.steampunk"
        -Glide: "music.mini_game.glide.vanilla", "music.mini_game.glide.vanilla.dlc", "music.mini_game.glide.vanilla.original", "music.mini_game.glide.body", "music.mini_game.glide.celts", "music.mini_game.glide.western", "music.mini_game.glide.chinese", "music.mini_game.glide.fantasy", "music.mini_game.glide.greek", and "music.mini_game.glide.plastic"
        -Mix: "music.mini_game.vanilla", "music.mini_game.western", "music.mini_game.chinese", "music.mini_game.fantasy", "music.mini_game.greek", and "music.mini_game.plastic"
  -A few loading messages are unused or console-specific, they can all be found in the language files
-Added Glide, Battle, and Tumble mini game options
  -They add music and titles from the mini games
-Changed pack name to Console Aspects
-Changed pack description to match the pack theme change
-Reset pack version pack to 1.0.0

============================
